summaryrefslogtreecommitdiffstats
path: root/testapi
diff options
context:
space:
mode:
authorrohitsakala <rohitsakala@gmail.com>2016-12-29 08:11:51 +0530
committerrohitsakala <rohitsakala@gmail.com>2016-12-29 08:13:46 +0530
commit2afed90b68db8b7fab2c258d45d103343de968cd (patch)
treeeb55723e7434f7c289b0c70a633a8bb302eec82d /testapi
parent5599da2f9730e17b515512b743d1d96ddcc2de38 (diff)
Fix installation of testapi in virtualenv
Ref :- https://openstack.nimeyo.com/87286/openstack-packaging-all-definition-data-files-config-setup Change-Id: I2519d3930bfeb4d22f92623dcc7ac88e2980b132 Signed-off-by: rohitsakala <rohitsakala@gmail.com>
Diffstat (limited to 'testapi')
-rwxr-xr-xtestapi/install.sh14
1 files changed, 11 insertions, 3 deletions
diff --git a/testapi/install.sh b/testapi/install.sh
index 43229ea..c55691a 100755
--- a/testapi/install.sh
+++ b/testapi/install.sh
@@ -10,9 +10,17 @@ usage:
where:
-h|--help show this help text"
-if [[ $(whoami) != "root" ]]; then
- echo "Error: This script must be run as root!"
- exit 1
+# Ref :- https://openstack.nimeyo.com/87286/openstack-packaging-all-definition-data-files-config-setup
+
+if [ -z "$VIRTUAL_ENV" ];
+then
+ if [[ $(whoami) != "root" ]];
+ then
+ echo "Error: This script must be run as root!"
+ exit 1
+ fi
+else
+ sed -i -e 's#/etc/opnfv_testapi =#etc/opnfv_testapi =#g' setup.cfg
fi
cp -fr 3rd_party/static opnfv_testapi/tornado_swagger